;;;; cl-scopes/test/test-forge

;;;; testing facility for scopes/forge

(defpackage :scopes/test-sf
  (:use :common-lisp
        :sf-builtin)
  (:local-nicknames (:forge :scopes/forge/sf) 
                    (:util :scopes/util)
                    (:t :scopes/testing))
  (:export #:run)
  (:import-from :scopes/testing #:deftest #:==))

(in-package :scopes/test-sf)

(defun run ()
  (let ((t:*test-suite* (t:test-suite "forge/sf")))
        ;(forge:*forge-env* (forge:forge-env)))
    ;(setf forge:*forge-env* (forge:forge-env))
    ;(forge:setup-builtins)
    (test-exec)))
 
(deftest test-exec ()
  ;(forge:exec-str "4 2 add")
  (forge:exec-list '(4 2 add))
  (util:lgi forge:*stack*)
  (== (forge:popd) 6)
  (forge:exec-list '(in name))
  (util:lgi (forge:popd))
  (t:show-result))


